# Interface ILocalVariableTypeTableEntry

public interface ILocalVariableTypeTableEntry
Description of a local variable type table entry as specified in the JVM specifications (added in J2SE 1.5). This interface may be implemented by clients.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`int`
`getIndex()`
Answer back the index of this entry as specified in the JVM specifications.
`int`
`getLength()`
Answer back the length of this entry as specified in the JVM specifications.
`char[]`
`getName()`
Answer back the name of this entry as specified in the JVM specifications.
`int`
`getNameIndex()`
Answer back the name index in the constant pool of this entry as specified in the JVM specifications.
`char[]`
`getSignature()`
Answer back the signature of this entry as specified in the JVM specifications.
`int`
`getSignatureIndex()`
Answer back the signature index in the constant pool of this entry as specified in the JVM specifications.
`int`
`getStartPC()`
Answer back the start pc of this entry as specified in the JVM specifications.

## Method Details

### getStartPC

int getStartPC()
Answer back the start pc of this entry as specified in the JVM specifications.

Returns:
  the start pc of this entry as specified in the JVM specifications

### getLength

int getLength()
Answer back the length of this entry as specified in the JVM specifications.

Returns:
  the length of this entry as specified in the JVM specifications

### getNameIndex

int getNameIndex()
Answer back the name index in the constant pool of this entry as specified in the JVM specifications.

Returns:
  the name index in the constant pool of this entry as specified in the JVM specifications

### getSignatureIndex

int getSignatureIndex()
Answer back the signature index in the constant pool of this entry as specified in the JVM specifications.

Returns:
  the signature index in the constant pool of this entry as specified in the JVM specifications

### getIndex

int getIndex()
Answer back the index of this entry as specified in the JVM specifications.

Returns:
  the index of this entry as specified in the JVM specifications

### getName

char[] getName()
Answer back the name of this entry as specified in the JVM specifications.

Returns:
  the name of this entry as specified in the JVM specifications

### getSignature

char[] getSignature()
Answer back the signature of this entry as specified in the JVM specifications.

Returns:
  the signature of this entry as specified in the JVM specifications